/****************************************************************************************

		ICOMTreePrim.h

		Copyright (c)1990 - 1999 MetaCreations. All rights reserved.

		Author:	Jerome Bignon
		Date:	05/25/99

		Revision History

		when		who			what & why
		==========	==========	======================================================
		05/25/99	Jerome		Creation

*****************************************************************************************/

#ifndef __ICOMTREEPRIM__
#define __ICOMTREEPRIM__  

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "ModelerDef.h"
#include "I3DExPrimitive.h"
#include "APITypes.h"

struct TreeData;

extern const MCGUID IID_ITreePrim;


struct ITreePrim : public IMCUnknown
{
	virtual boolean		MCCOMAPI		SetData(const TreeData& data) = 0;		
	virtual TreeData	MCCOMAPI		GetData() = 0;
	virtual	boolean		MCCOMAPI		GetIfDataChanged() = 0;		
};

#endif // __ICOMTreePrim__